## qbrz 0.23.2%2Bbzr1641

=== debian/changelog ===
qbrz (0.23.2+bzr1641-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Dec 2021 18:08:22 +0000

qbrz (0.23.2+bzr1640-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 17:08:50 +0000

qbrz (0.23.2+bzr1633-2) unstable; urgency=medium

  * Source only upload for bullseye.
  * Set upstream metadata fields: Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 15:30:17 +0000

qbrz (0.23.2+bzr1633-1) unstable; urgency=low

  * Initial release. Closes: #979464

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 11 Jan 2021 20:11:56 +0000
