=== debian/changelog ===
qbrz (0.23.2+bzr1665-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes SyntaxWarning about invalid escape sequence. Closes: #1061711

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Feb 2024 15:56:08 +0000

qbrz (0.23.2+bzr1663-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with newer versions of bzr. Closes: #1053787

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Jan 2024 22:48:40 +0000

qbrz (0.23.2+bzr1659-1) unstable; urgency=low

  * New upstream snapshot.
  * Set extend-diff-ignore. Closes: #1045346
  * Set Vcs-Bzr.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 14 Aug 2023 08:59:24 +0100
