=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_install:
	dh_auto_install
	find debian/qbrz/usr/lib/python*/dist-packages/breezy/plugins/qbrz -name __pycache__ | xargs rm -rf {}
