=== debian/control ===
Source: qbrz
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), python3-all, python3-setuptools, python3-pyqt5, dh-python
Priority: optional
Section: vcs
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/qbrz
Vcs-Bzr: https://code.breezy-vcs.org/qbrz/unstable
Vcs-Browser: https://code.breezy-vcs.org/qbrz/unstable

Package: qbrz
Architecture: all
Enhances: brz
Depends: python3-all, python3-pyqt5, ${misc:Depends}, ${python3:Depends}
Description: Qt5 frontend for Breezy
 QBrz is a cross platform, Qt-based front-end for Bazaar, providing GUI
 applications for many core brz commands. In addition, it provides several
 special dialogs and helper commands. Equivalents for core brz commands have
 the same names as CLI commands but with a prefix of "q".
