=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: vcs
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Homepage: https://launchpad.net/qbrz
-Vcs-Bzr: https://code.breezy-vcs.org/qbrz/unstable
-Vcs-Browser: https://code.breezy-vcs.org/qbrz/unstable
+Vcs-Browser: https://code.launchpad.net/~jelmer/debian/unstable/qbrz/main/
+Vcs-Bzr: https://code.launchpad.net/~jelmer/debian/unstable/qbrz/main/
 
 Package: qbrz
 Architecture: all
