## qbrz 0.23.2+bzr1665

=== debian/changelog ===
qbrz (0.23.2+bzr1665-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 08 Jan 2026 23:14:05 +0000
